.TH "mca_base_param_info_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_base_param_info_t \- Struct for holding name/type info.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <mca_base_param.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_list_item_t\fP \fBsuper\fP"
.br
.RI "\fISo that we can be in a list. \fP"
.ti -1c
.RI "int \fBmbpp_index\fP"
.br
.RI "\fIIndex of this parameter. \fP"
.ti -1c
.RI "\fBmca_base_param_type_t\fP \fBmbpp_type\fP"
.br
.RI "\fIEnum indicating the back-end type of the parameter. \fP"
.ti -1c
.RI "char * \fBmbpp_type_name\fP"
.br
.RI "\fIString name of the type of this component. \fP"
.ti -1c
.RI "char * \fBmbpp_component_name\fP"
.br
.RI "\fIString name of the component of the parameter. \fP"
.ti -1c
.RI "char * \fBmbpp_param_name\fP"
.br
.RI "\fIString name of the parameter of the parameter. \fP"
.ti -1c
.RI "char * \fBmbpp_full_name\fP"
.br
.RI "\fIFull, assembled parameter name. \fP"
.ti -1c
.RI "bool \fBmbpp_read_only\fP"
.br
.RI "\fIIs this value changable? \fP"
.ti -1c
.RI "char * \fBmbpp_help_msg\fP"
.br
.RI "\fIHelp message associated with this parameter. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Struct for holding name/type info. 

Used in \fBmca_base_param_dump()\fP, below. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
